summaryrefslogtreecommitdiff
path: root/t/deleted-m4.sh
diff options
context:
space:
mode:
Diffstat (limited to 't/deleted-m4.sh')
-rw-r--r--t/deleted-m4.sh12
1 files changed, 6 insertions, 6 deletions
diff --git a/t/deleted-m4.sh b/t/deleted-m4.sh
index 8d33982f6..287d40678 100644
--- a/t/deleted-m4.sh
+++ b/t/deleted-m4.sh
@@ -39,12 +39,12 @@ $AUTOMAKE
$MAKE
rm -f zardoz.m4
-run_make -e FAIL -M
+run_make -e FAIL -E
# This error will come from aclocal, not make, so we can be stricter
# in our grepping of it.
-grep ' foobar\.m4:1:.*zardoz\.m4.*does not exist' output
+grep ' foobar\.m4:1:.*zardoz\.m4.*does not exist' stderr
# No spurious errors, please.
-$FGREP -v ' foobar.m4:1:' output | $FGREP 'foobar.m4' && exit 1
+$FGREP -v ' foobar.m4:1:' stderr | $FGREP 'foobar.m4' && exit 1
# Try with one less indirection.
: > foobar.m4
@@ -53,11 +53,11 @@ $AUTOCONF
./configure
$MAKE # Sanity check.
rm -f foobar.m4
-run_make -e FAIL -M
+run_make -e FAIL -E
# This error will come from aclocal, not make, so we can be stricter
# in our grepping of it.
-grep 'foobar\.m4.*does not exist' output
+grep 'foobar\.m4.*does not exist' stderr
# No spurious errors, please (ok, this is really paranoid).
-$FGREP 'zardoz.m4' output && exit 1
+$FGREP 'zardoz.m4' stderr && exit 1
: